Subject: Re: LOI for HCO 2million barrels
From: Mohammed Serwan <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 7 Oct 2024 11:59:24 +0000

Hello , Dear

I hope this email finds you well.

We have reviewed and responded to all the questions outlined in your attachment. Please find attached the full set of documents you requested.

We kindly ask you to proceed with updating us on the final Proforma Invoice (PI) at your earliest convenience.

Should you require any additional information, please do not hesitate to reach out.

Thank you for your prompt attention to this matter.

Best regards,
________________________________
From: [email-masked] <[email-masked]>
Sent: Saturday, October 5, 2024 7:51:35 PM
To: Mohammed Serwan <[email-masked]>
Subject: RE: LOI for HCO 2million barrels

Dear Mohammad Serwan,

I hope this message finds you well.

Thank you for your prompt response and for considering our interest in establishing a business partnership.

We would like to inform you that we have the capacity to supply 8-12 million barrels of crude oil on a monthly basis, as well as the status of our company as a governmental company.

In order to proceed with the necessary formalities, please review the attached form and ensure to complete it accurately.

Additionally, we are requesting you to provide the required below details regarding the buyer and the refinery at the earliest opportunity.

  1.  Type of crude oil
  2.  Terms of delivery
  3.  Terms of payment
  4.  Refinery name

Should you require any further information or clarification at this stage, please do not hesitate to contact me.

Thank you once again for your assistance. We look forward to the possibility of collaborating with your esteemed company.

Sincerely,

Commercial department

From: Mohammed Serwan <[email-masked]>
Sent: Tuesday, October 1, 2024 8:18 AM
To: [email-masked]
Subject:

Hello , Dear

I hope this message finds you well.

Please find attached our requirements for your review. We would appreciate it if you could provide us with further details on the next steps needed to proceed. Your expertise and guidance in this matter would be invaluable to us.

Thank you for your attention to this, and I look forward to your prompt response.

Best regards,